Bug 239525 - Review Request: gammu - Command Line utility and Libraries to work with mobile phones
Review Request: gammu - Command Line utility and Libraries to work with mobil...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: 239526
  Show dependency treegraph
 
Reported: 2007-05-09 02:32 EDT by Xavier Lamien
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 20:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
Modified SPEC (2.35 KB, application/octet-stream)
2007-05-09 07:09 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description Xavier Lamien 2007-05-09 02:32:15 EDT
Spec URL: http://download.tuxfamily.org/lxtnow/fedora/SPECS/gammu.spec
SRPM URL: http://download.tuxfamily.org/lxtnow/temp/gammu-1.10.0-1.fc7.src.rpm
MockLog: http://download.tuxfamily.org/lxtnow/temp/gammu-1.10.0-1-build.log

Description: 

Gammu is command line utility and library to work with mobile phones
from many vendors.
Support for different models differs, but basic functions should work
with majority of them. Program can work with contacts,
messages (SMS, EMS and MMS), calendar, todos, filesystem,
integrated radio, camera, etc.
It also supports daemon mode to send and receive SMSes.
Comment 1 Parag AN(पराग) 2007-05-09 04:49:11 EDT
like to review this package.
Comment 2 Parag AN(पराग) 2007-05-09 05:47:22 EDT
rpmlint on SRPM reports
W: gammu mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

rpmlint on RPM reports
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/startppp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/fax/faxsend
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm
/usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/gprs
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/statsppp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/data
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/fax/faxsend
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/data /bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/gprs /bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/startppp
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/statsppp
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.



rpmlint on gammu-devel reports
W: gammu-devel no-dependency-on gammu
W: gammu-devel summary-not-capitalized gammu development files
Summary doesn't begin with a capital letter.

W: gammu-devel non-standard-group Development/libraries
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".


rpmlint on gammu-libs reports
E: gammu-libs library-without-ldconfig-postin /usr/lib/libGammu.so.1.0
This package contains a library and provides no %post scriptlet containing
a call to ldconfig.

E: gammu-libs library-without-ldconfig-postun /usr/lib/libGammu.so.1.0
This package contains a library and provides no %postun scriptlet containing
a call to ldconfig.



any reason to have separate -libs rpms?


Comment 3 Parag AN(पराग) 2007-05-09 07:09:00 EDT
Created attachment 154387 [details]
Modified SPEC

I did some workaround for your SPEC to solve most of rpmlint errors and
warnings.
kindly update SPEC,bump release and provide a new SRPM
Comment 4 Parag AN(पराग) 2007-05-09 08:02:01 EDT
I saw neither python-gammu nor wammu uses gammu-libs rpm. So is there any other
package needs gammu-libs?
Comment 5 Xavier Lamien 2007-05-09 14:06:44 EDT
Wow..!!
It seem that the link above point to the obsolete built package.
here is the right below.

SRPM: http://download.tuxfamily.org/lxtnow/temp/gammu-1.10.0-1.fc6.src.rpm
                                                                               
                 
-------------------------------------------------------
rpmlint output from main package: 
--------------------------------------------------
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/startppp
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/fax/faxsend
W: gammu spurious-executable-perm
/usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/gprs
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/statsppp
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/data
-------------------------------------------------------------

These files are examples script that the end-user can use for more accebilities
in his action with the Gammu command line.
These files shouldn't be removed from its default executable permission.
These above warning are harmless and can be ignored.

---

> I saw neither python-gammu nor wammu uses gammu-libs rpm. So is there any 
> other
> package needs gammu-libs?

> any reason to have separate -libs rpms?

As the upstream/developer mentioned for the build, the package can be build with
 or without share libraries where share libraries could be use with other
applications that aim to work with gammu-libs for developing (such as framework,
plugin, GUI, ...).

In this case, no...detached libs is not a bad thing.
Comment 6 Parag AN(पराग) 2007-05-10 06:29:41 EDT
Ok so new SRPM gave me following rpmlint warnings which can be ignored as I saw
some core packages are also allowing following rpmlint warnings

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/startppp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/fax/faxsend
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm
/usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/gprs
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/statsppp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/data
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/fax/faxsend
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/data /bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/gprs /bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/startppp
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/ppp/statsppp
/bin/sh
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

But I think you should solve follwoing easily
W: gammu mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Ok so no problem for -libs subpackage.
Comment 7 Parag AN(पराग) 2007-05-10 07:05:49 EDT
ohh I saw above warnings for FC6 packages and they got removed in devel branch.
So you also need to solve rpmlint warnings 
chmod 644 to docs/examples/ppp and docs/examples/fax
Comment 8 Xavier Lamien 2007-05-10 18:26:01 EDT
Huh ?

here is my rpmlint output (mock build) for devel branch:
-------------------------------------------------------------------------------------------------------------
[lxtnow@Herlzeiled]# rpmlint
/var/lib/mock/fedora-development-x86_64-core/result/gammu-1.10.0-1.fc7.x86_64.rpm 
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/startppp
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/fax/faxsend
W: gammu spurious-executable-perm
/usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/gprs
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/statsppp
W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/data
-------------------------------------------------------------------------------------------------------------
The same from fc6.


>> So you also need to solve rpmlint warnings 
>> chmod 644 to docs/examples/ppp and docs/examples/fax

The files which're included in docs/examples/ppp and docs/examples/fax
are (as i said above) examples script that the end-user or advanced user.
see comment #5 for more details.



Comment 9 Parag AN(पराग) 2007-05-10 21:33:17 EDT
(In reply to comment #8)
> Huh ?
> 
> here is my rpmlint output (mock build) for devel branch:
>
-------------------------------------------------------------------------------------------------------------
> [lxtnow@Herlzeiled]# rpmlint
> /var/lib/mock/fedora-development-x86_64-core/result/gammu-1.10.0-1.fc7.x86_64.rpm 
> W: gammu spurious-executable-perm
/usr/share/doc/gammu-1.10.0/examples/ppp/startppp
> W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/fax/faxsend
> W: gammu spurious-executable-perm
> /usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
> W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/gprs
> W: gammu spurious-executable-perm
/usr/share/doc/gammu-1.10.0/examples/ppp/statsppp
> W: gammu spurious-executable-perm /usr/share/doc/gammu-1.10.0/examples/ppp/data
>
-------------------------------------------------------------------------------------------------------------
> The same from fc6.
> 
 Strange you are not getting any rpmlint warning for doc-file-dependency?

> 
> >> So you also need to solve rpmlint warnings 
> >> chmod 644 to docs/examples/ppp and docs/examples/fax
> 
> The files which're included in docs/examples/ppp and docs/examples/fax
> are (as i said above) examples script that the end-user or advanced user.
> see comment #5 for more details.

   
Comment 10 Parag Nemade 2007-05-10 23:15:29 EDT
I even asked on #fedora-devel and got similar answer that 
it's best not to have things in examples executable - it can create false deps
and in your case its giving rpmlint warnings as
W: gammu doc-file-dependency /usr/share/doc/gammu-1.10.0/examples/fax/faxreceive
/bin/sh
Comment 11 Ville Skyttä 2007-05-11 10:15:09 EDT
From rpmlint 0.80-1 changelog:
- Filter messages about doc file dependencies on /bin/sh.

FWIW, I don't think a dependency on /bin/sh is anything to worry about, doc or not.
Comment 12 Parag AN(पराग) 2007-05-11 11:59:15 EDT
(In reply to comment #11)
> From rpmlint 0.80-1 changelog:
> - Filter messages about doc file dependencies on /bin/sh.
> 
> FWIW, I don't think a dependency on /bin/sh is anything to worry about, doc or
not.

hmm. I was expecting something similar. Today was so busy working day that I
couldn't got time to upgrade rpmlint on FC6 machine.
So new version was already available. Ok

why don't you try to move then executable scripts to /etc then?
Comment 13 Parag AN(पराग) 2007-05-14 00:06:56 EDT
Ok. Taking your comment #5 as basis
Review:
+ package builds in mock (development i386).
+ rpmlint is NOT silent for SRPM and for RPM.
  but those warnings can be ignored.
+ source files match upstream url
7732cf48a1593164bcf6710bda41e6c8  gammu-1.10.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ gammu.pc file present.
+ -devel and -libs subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gammu-libs Provides: libGammu.so.1
+ Requires: /bin/sh bluez-utils libGammu.so.1 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libcrypt.so.1 libcrypto.so.6 libm.so.6 libmysqlclient.so.15
libmysqlclient.so.15(libmysqlclient_15) libnsl.so.1 libpthread.so.0
libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1) libssl.so.6 libz.so.1
rtld(GNU_HASH)
Comment 14 Xavier Lamien 2007-05-17 01:52:04 EDT
>> why don't you try to move then executable scripts to /etc then?

Well, that implies to prevent from .rpmsave and .rpmnew and coulb be not the
right things to do for exemple script.

I think that /usr/share/doc/[packane_name_version] is more appropriate.


(in reply to comment #13)
is that missing something in this full review or if it's done, don't forget to
set review flag to +. ;-)
Comment 15 Parag AN(पराग) 2007-05-17 02:18:15 EDT
(In reply to comment #14)
>> why don't you try to move then executable scripts to /etc then?
> 
> Well, that implies to prevent from .rpmsave and .rpmnew and coulb be not the
> right things to do for exemple script.
 OK.
> 
> I think that /usr/share/doc/[packane_name_version] is more appropriate.
> 
> 
> (in reply to comment #13)
> is that missing something in this full review or if it's done, don't forget to
> set review flag to +. ;-)
 That was done deliberately to first get some reply on above question.


Comment 16 Xavier Lamien 2007-05-18 19:43:51 EDT
New Package CVS Request
=======================
Package Name: gammu
Short Description: Command Line utility and Libraries to work with mobile phones
Owners: lxtnow@gmail.com
Branches: FC-5 FC-6 F-7 EL-4 EL-5 Devel
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.